exec elemtr3dp.sci;

function [K, M, Get_flux] = assemblage(n, tri, PosNoeuds, k_th, rho, C_th)
	K = zeros(n, n);
	M = zeros(n, n);
	Get_flux = zeros(2*size(tri, 'r'), n);
	for i = 1:size(tri, 'r')
		noeuds = tri(i, :);
		ddl = noeuds;
		[we, NEF, GEF, BEF] = elemtr3dp(PosNoeuds(noeuds, :));
		
        //calcul matrice de conduction thermique et matrice d'inertie thermique
        K(ddl, ddl) = K(ddl, ddl) + we * k_th * GEF'*GEF;
		M(ddl, ddl) = M(ddl, ddl) + we * rho * C_th *NEF'*NEF;
		// Suivant x
        Get_flux(2*i-1, ddl) = -k_th * GEF(1,:);
        // Suivant y
		Get_flux(2*i, ddl) = -k_th * GEF(2,:);
	end
endfunction
