 //function [] = thermiPOD(K, M, P, tri, PosNoeuds, Lbord)
 function [toctoc] = thermiPOD(K, M, P, tri, PosNoeuds, Lbord)
	
h = 1;
Kr=P'*K*P;
Mr=P'*M*P;
// Conditions intitiales
	Text = 25.;
	To = 2400.;
// Définition du flux au bord
	F = zeros(100,1);
	F(Lbord) = h * Text;
    Fr=P'*F;

	dt = 600.;
    qo= To * ones(100,1);
	qredt = P'*qo;
	tf = 2*24*3600;
// Initialisation du calcul de la température en prenant l'équivalent matriciel de la racine carrée
	Upr = chol(Mr/dt+Kr);

// Temperature axes bounds
    umin=0;
    umax=3000;


        dtri = double(tri');
        // Plot of temperature at t=0
//        fig2 = scf();
//        trisurf(dtri, PosNoeuds(:,1),PosNoeuds(:,2),qo)
//        caxis([0 3000])
//        colorbar bot;


	i = 0;
tic();
	while max(abs(P*qredt)) > 0.1*To+Text //limite au dela de laquelle on étudie plus le refroidissement?
	    i = i+1;
        qredt = Upr\(Upr'\(Mr/dt*qredt+Fr));  
        
//            drawlater();
//            trisurf(dtri, PosNoeuds(:,1),PosNoeuds(:,2),P*qredt)
//            caxis([0 3000])
//            colorbar bot;
//            axis([-0.3 0.3 -0.3 0.3 0 3000])  
//           // xs2gif(0,'imgg_'+string(999+i)+'.gif')
//            drawnow();            
	end
toctoc=toc();
endfunction
